using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.StoragesContracts
{
    public interface ISpecializationStorage
    {
        List<SpecializationViewModel> GetFullList();
        List<SpecializationViewModel> GetFilteredList(SpecializationSearchModel model);
        SpecializationViewModel? GetElement(SpecializationSearchModel model);
        SpecializationViewModel? Insert(SpecializationBindingModel model);
        SpecializationViewModel? Update(SpecializationBindingModel model);
        SpecializationViewModel? Delete(SpecializationBindingModel model);
    }
}
